## Class TApplicationMode

Description

TApplicationMode class.

TApplicationMode defines the possible mode that an application can be set at by setting TApplication::setMode. In particular, the following modes are defined

- Off: the application is not running. Any request to the application will obtain an error.
- Debug: the application is running in debug mode.
- Normal: the application is running in normal production mode.
- Performance: the application is running in performance mode.

- since: 3.0.4
- version: $Id: TApplication.php 2244 2007-09-26 13:15:56Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /TApplication.php (line 1130)

    TEnumerable
       |
       --TApplicationMode

Class Constant Summary
Debug = 'Debug'
Normal = 'Normal'
Off = 'Off'
Performance = 'Performance'
Class Constants
Debug = 'Debug' (line 1133)
Normal = 'Normal' (line 1134)
Off = 'Off' (line 1132)
Performance = 'Performance' (line 1135)

Documentation generated on Mon, 21 Apr 2008 11:30:28 -0400 by phpDocumentor 1.3.0RC4